All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.commands.relational
Class ExportToExcelCommand

    com.sas.commands.relational.ExportToExcelCommand

All Implemented Interfaces:
  CommandStatusInterface, CommandSupportedInterface, DynamicAttributeCommandInterface, BaseEntityInterface, BaseEntityValueInterface, EntityKeyInterface, com.sas.lang.StringDataInterface, com.sas.PublicClonable, com.sas.util.Command, com.sas.util.SimpleCommand, java.lang.Cloneable, java.rmi.Remote

    public class ExportToExcelCommand

implements CommandSupportedInterface, CommandStatusInterface

This class implements the export to excel command.

Field Summary
`static java.lang.String` | `RB_KEY`
`protected TableView` | `table`

Fields inherited from interface com.sas.actionprovider.CommandStatusInterface
`DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED`

Fields inherited from interface com.sas.commands.DynamicAttributeCommandInterface
`COMMAND_NAME_PREFIX`

Constructor Summary
`ExportToExcelCommand()` Default constructor
`ExportToExcelCommand(java.lang.String name)` Constructor that accepts a command name
`ExportToExcelCommand(java.lang.String name, java.lang.String actionClass)` Constructor that accepts a command name and an action class type

Method Summary
`void` | `execute(java.lang.Object o)` This method implements the execute method on the CommandInterface, which is not implemented by the abstract BaseCommand class
`int` | `getCommandStatus(ActionSupportFilter filter)` Returns a int value indicating whether the command is enabled for the given area as specified by the current area information encapsulate in the ActionSupportFilter.
`java.lang.String` | `getExcelPath()`
`int` | `getExportRowCount()`
`int` | `getExportStartRow()`
`TableView` | `getTable()`
`boolean` | `isExportRawData()`
`boolean` | `isSupported(ActionSupportFilter actionFilter)` Returns a boolean indicating whether the command is supported for the area specified on the ActionSupportFilter argument.
`void` | `setExcelPath(java.lang.String excelPath)`
`void` | `setExportRawData(boolean isRawData)`
`void` | `setExportRowCount(int rowCount)`
`void` | `setExportStartRow(int startRow)`
`void` | `setTable(TableView table)`
`protected void` | `writeToStream(TableView table, java.io.Writer writer)`

Methods inherited from class com.sas.commands.BaseCommand
`getLocale, getName, getNextCommandName, getText, isExecutable, isUndoable, setLocale, setName, setText, undo`

Methods inherited from class com.sas.entities.BaseEntity
`clone, containsAttributeNamed, equals, equals, getAttribute, getAttribute, getAttributeCount, getAttributes, getEntityKey, getPropertyDescriptors, getStringAttribute, listAttributeNames, removeAllAttributes, removeAttribute, reset, sameEntity, setAttribute, setAttributes, setEntityKey, toString`

Methods inherited from interface com.sas.entities.BaseEntityValueInterface
`getAttribute, setAttribute`

Methods inherited from interface com.sas.util.Command
`clone`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

### table

    protected TableView table

Constructor Detail

### ExportToExcelCommand

    public ExportToExcelCommand()

  Default constructor

### ExportToExcelCommand

    public ExportToExcelCommand(java.lang.String name)

  Constructor that accepts a command name

### ExportToExcelCommand

    public ExportToExcelCommand(java.lang.String name,
                                java.lang.String actionClass)

  Constructor that accepts a command name and an action class type

Method Detail

### getExportStartRow

    public int getExportStartRow()

### setExportStartRow

    public void setExportStartRow(int startRow)

### getExportRowCount

    public int getExportRowCount()

### setExportRowCount

    public void setExportRowCount(int rowCount)

### isExportRawData

    public boolean isExportRawData()

### setExportRawData

    public void setExportRawData(boolean isRawData)

### getExcelPath

    public java.lang.String getExcelPath()

### setExcelPath

    public void setExcelPath(java.lang.String excelPath)

### execute

    public void execute(java.lang.Object o)

  This method implements the execute method on the CommandInterface, which is not implemented by the abstract BaseCommand class

  Specified by:
    `execute` in interface `com.sas.util.SimpleCommand`
  Specified by:
    `execute` in class `BaseCommand`
  Parameters:
    `o` - The output stream to which the results of this command should be written.

### writeToStream

    protected void writeToStream(TableView table,
                                 java.io.Writer writer)

### isSupported

    public boolean isSupported(ActionSupportFilter actionFilter)

  Returns a boolean indicating whether the command is supported for the area specified on the ActionSupportFilter argument.

  Specified by:
    `isSupported` in interface `CommandSupportedInterface`
  Parameters:
    `actionFilter` - The object that describes the current area.
  Returns:
    a boolean indicating whether the command is supported.
  See Also:
    `BaseAction.setReturnStatus(int)`

### getCommandStatus

    public int getCommandStatus(ActionSupportFilter filter)

  Returns a int value indicating whether the command is enabled for the given area as specified by the current area information encapsulate in the ActionSupportFilter. If not enabled, the key indicates a reason why the command is not enabled.

  Specified by:
    `getCommandStatus` in interface `CommandStatusInterface`
  Parameters:
    `filter` - The ActionSupportFilter that encapsulates all the necessary information to describe the current area.
  Returns:
    an int value indicating whether the command is enabled and, if not, why.
  See Also:
    `BaseAction.setReturnStatus(int)`

### setTable

    public void setTable(TableView table)

### getTable

    public TableView getTable()

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.